package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFG84 extends MwfRequest<MWFG84, MWFG84Response> {

    @Parameter(name = "BankaPrijemceJmenoBanky")
    MWFG84 bankaPrijemceJmenoBanky(String bankaPrijemceJmenoBanky);
    @Parameter(name = "BankaPrijemceMesto")
    MWFG84 bankaPrijemceMesto(String bankaPrijemceMesto);
    @Parameter(name = "BankaPrijemceStat")
    MWFG84 bankaPrijemceStat(String bankaPrijemceStat);
    @Parameter(name = "BankaPrijemceUlice")
    MWFG84 bankaPrijemceUlice(String bankaPrijemceUlice);
    @Parameter(name = "CasPorizeni")
    MWFG84 casPorizeni(java.util.Date casPorizeni);
    @Parameter(name = "CastkaPlatby")
    MWFG84 castkaPlatby(Double castkaPlatby);
    @Parameter(name = "CisloUctu")
    MWFG84 cisloUctu(String cisloUctu);
    @Parameter(name = "DatumPorizeni")
    MWFG84 datumPorizeni(java.util.Date datumPorizeni);
    @Parameter(name = "DatumUcinnosti")
    MWFG84 datumUcinnosti(java.util.Date datumUcinnosti);
    @Parameter(name = "EkvivalentKUctu")
    MWFG84 ekvivalentKUctu(Double ekvivalentKUctu);
    @Parameter(name = "Gemini")
    MWFG84 gemini(String gemini);
    @Parameter(name = "IDBanky")
    MWFG84 iDBanky(String iDBanky);
    @Parameter(name = "IDTransakceIB")
    MWFG84 iDTransakceIB(Long iDTransakceIB);
    @Parameter(name = "InfoProPrijemce1")
    MWFG84 infoProPrijemce1(String infoProPrijemce1);
    @Parameter(name = "InfoProPrijemce2")
    MWFG84 infoProPrijemce2(String infoProPrijemce2);
    @Parameter(name = "InfoProPrijemce3")
    MWFG84 infoProPrijemce3(String infoProPrijemce3);
    @Parameter(name = "InfoProPrijemce4")
    MWFG84 infoProPrijemce4(String infoProPrijemce4);
    @Parameter(name = "KodPartnera")
    MWFG84 kodPartnera(String kodPartnera);
    @Parameter(name = "KodZeme")
    MWFG84 kodZeme(String kodZeme);
    @Parameter(name = "Konfirmace1")
    MWFG84 konfirmace1(String konfirmace1);
    @Parameter(name = "Konfirmace2")
    MWFG84 konfirmace2(String konfirmace2);
    @Parameter(name = "KontrolaNaSpiciUcet")
    MWFG84 kontrolaNaSpiciUcet(String kontrolaNaSpiciUcet);
    @Parameter(name = "MenaPlatby")
    MWFG84 menaPlatby(String menaPlatby);
    @Parameter(name = "OperacniKodBanky")
    MWFG84 operacniKodBanky(String operacniKodBanky);
    @Parameter(name = "PlatebniTitulKod")
    MWFG84 platebniTitulKod(String platebniTitulKod);
    @Parameter(name = "PrijemceCisloUctu")
    MWFG84 prijemceCisloUctu(String prijemceCisloUctu);
    @Parameter(name = "PrijemceJmeno")
    MWFG84 prijemceJmeno(String prijemceJmeno);
    @Parameter(name = "PrijemceStat")
    MWFG84 prijemceStat(String prijemceStat);
    @Parameter(name = "PrijemceUliceMesto")
    MWFG84 prijemceUliceMesto(String prijemceUliceMesto);
    @Parameter(name = "PriznakKurzu")
    MWFG84 priznakKurzu(String priznakKurzu);
    @Parameter(name = "PriznakPlatby")
    MWFG84 priznakPlatby(String priznakPlatby);
    @Parameter(name = "Residence")
    MWFG84 residence(String residence);
    @Parameter(name = "SmennyKurs")
    MWFG84 smennyKurs(Double smennyKurs);
    @Parameter(name = "ReferencePlatce")
    MWFG84 referencePlatce(String referencePlatce);
    @Parameter(name = "VylohyZpusobUhrady")
    MWFG84 vylohyZpusobUhrady(String vylohyZpusobUhrady);
}
